#include <stdlib.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <math.h>

char pattern[256][256];
char text[4096][4096];

int m;	// patternsize
int n;	// textsize


/* OPEN PATTERN */
openpattern(char *filename) {
	FILE *patternfile;
	int i1;

	patternfile=fopen(filename,"r");
  if(patternfile == (FILE *)NULL) {
    printf("ERROR opening pattern!\n");
    return(-1);
  }

  i1=0;
  fgets(pattern[i1],255,patternfile);
  while(pattern[i1][0] != (char)NULL) {
    if(strlen(pattern[i1]) > 1) {
      if(pattern[i1][strlen(pattern[i1])-1] == '\n') {
        pattern[i1][strlen(pattern[i1])-1]=(char)NULL;
      }
    }
    i1++;
    fgets(pattern[i1],255,patternfile);
  }
  fclose(patternfile);
  m=strlen(pattern[0]);
}

/* OPEN TEXT */
opentext(char *filename) {
	struct stat status;
	FILE *datei;
	char *z1;
	int i1;

	if(stat(filename,&status) < 0) {
		printf("Error doing stat on %s\n\n",filename);
		exit(-1);
	}

	datei=fopen(filename,"r");
	if(datei == (FILE *)NULL) {
		printf("Unable to open %s\n",filename);
		exit(-1);
	}
	
	i1=0;
	while(fgets(text[i1],4096,datei) != (char *)NULL)
		i1++;
	n=i1;

	fclose(datei);

}

