#include <stdlib.h>
#include <stdio.h>
//#define DEBUG
#define ERGOUT
#include "global.h"
#include "ku.h"
#include "timer.h"

int main(int argc, char *argv[]) {
	int i1,i2;
	double timer1,timer2;

	if(argc != 4) {
		printf("Usage: %s <pattern> <text> <c>\n",argv[0]);
		return(-1);
	}

	openpattern(argv[1]);
	opentext(argv[2]);

	init_ku(atoi(argv[3]));

	start_timer(0);
	ku_quadratic_search_pre();
	start_timer(1);
	ku_quadratic_search();

	timer1=stop_timer(0);
	timer2=stop_timer(1);

	printf("mit Vorverarbeitung: %lf - ohne Vorverarbeitung: %lf (Millisekunden)\n\n",timer1,timer2);


	return(0);
}
