#define debug

#include "global.h"
#include "abf.h"

int main(int argc, char *argv[]) {
	int i1,i2;

	if(argc != 2) {
		printf("Usage: %s <pattern>\n",argv[0]);
		return(-1);
	}

	openpattern(argv[1]);

	seriell_witness();

	printf("\n\n");

	for(i1=0; i1<m; i1++) {
		for(i2=0; i2<m; i2++) {
			printf("TOP-WITNESS[%i][%i]=(%u,%u)\n",i1,i2,TWITNESS[i1][i2]/1000,TWITNESS[i1][i2]%1000);
			two_pattern_out(i1,i2);
			putchar('\n');
		}
	}

	for(i1=0; i1<m; i1++) {
		for(i2=0; i2<m; i2++) {
			printf("BOTTOM-WITNESS[%i][%i]=(%u,%u)\n",i1,i2,BWITNESS[i1][i2]/1000,BWITNESS[i1][i2]%1000);
			two_pattern_out((-1)*i1,i2);
			putchar('\n');
		}
	}

  for(i1=0; i1<m; i1++) {
    for(i2=0; i2<m; i2++) {
      printf("TOP-WITNESS[%i][%i]=(%u,%u)\n",i1,i2,TWITNESS[i1][i2]/1000,TWITNESS[i1][i2]%1000);
    }
  }

  for(i1=0; i1<m; i1++) {
    for(i2=0; i2<m; i2++) {
      printf("BOTTOM-WITNESS[%i][%i]=(%u,%u)\n",i1,i2,BWITNESS[i1][i2]/1000,BWITNESS[i1][i2]%1000);
    }
  }



	return(0);
}
